%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

Name: wammu
Version: 0.10
Release: %_release

Summary: Mobile phone manager
License: GPL
Group: Communications
Url: http://www.cihar.com/gammu/wammu

Source0: http://www.cihar.com/gammu/wammu/%name-%version.tar.bz2

Requires: python-gammu >= 0.8, python-module-wx >= 2.4.1.2
BuildPreReq: python-devel >= %__python_version, python-module-wx-devel >= 2.4.1.2, python-gammu >= 0.8

%description
Mobile phone manager using Gammu as it's backend. It works with any phone Gammu                                      
supports - many Nokias, Siemens, Alcatel, ... Written using wxGTK.

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages

%prep
%setup -q

%build
#SKIPWXCHECK=yes 
%__python setup.py build

%install
#SKIPWXCHECK=yes 
%__python setup.py install --root %buildroot --record=INSTALLED_FILES
# man pages are compressed at later stage,
# remove uncompressed names:
%__subst 's,^%_man1dir/.*,,' INSTALLED_FILES

%__mkdir_p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): command="%_bindir/%name" \
	section="Applications/Communications" \
	title="Wammu" \
	needs="X11"  \
        longtitle="Wammu phone manager"
EOF

%post
%update_menus

%postun
%clean_menus

%files -f INSTALLED_FILES
%doc README AUTHORS FAQ TODO NEWS
#%_bindir/%name
#%_datadir/Wammu/images/icons/*
#%_datadir/Wammu/images/misc/*
%_menudir/%name
%python_site_packages_dir/Wammu/*.pyo
%python_site_packages_dir/Wammu/wxcomp/*.pyo
%_man1dir/*

%changelog
* Tue Sep 20 2005 Grigory Batalov <bga@altlinux.ru> 0.10-alt0.M24.1
- 0.10
- backport to Master 2.4

* Wed Mar 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.8-alt1.1
- Rebuilt with python-2.4.

* Fri Sep 15 2004 LAKostis <lakostis at altlinux dot ru> 0.8-alt1
- 0.8
- updated buidreq/req

* Sun May 18 2004 LAKostis <lakostis at altlinux dot ru> 0.6-alt1.1
- updated buidreq/req

* Sun May 16 2004 LAKostis <lakostis at altlinux dot ru> 0.6-alt1
- 0.6
- fix for bug #4113

* Sun Feb 15 2004 LAKostis <lakostis at altlinux dot ru> 0.5.1-alt1
- initial build for Sisyphus.
